VMware vSphere Automation SDK for .NET 6.5.0

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions
vmware::content::library::ItemStub Class Reference

Remote stub implementation of the Item API service. More...

Inherits vmware::content::library::Item.

List of all members.

## Public Member Functions
| ItemStub (vmware.vapi.core.IApiProvider iApiProvider, vmware.vapi.bindings.IStubConfiguration config)
string | Copy (string clientToken, string sourceLibraryItemId, vmware.content.library.ItemModel destinationCreateSpec)
| Copies a library item.
string | Copy (string clientToken, string sourceLibraryItemId, vmware.content.library.ItemModel destinationCreateSpec, global::System.Action< vmware.vapi.std.Progress > _progress, vmware.vapi.bindings.client.InvocationConfig _invocationConfig)
| Copies a library item.
global::System.Threading.Tasks.Task < string > | CopyAsync (string clientToken, string sourceLibraryItemId, vmware.content.library.ItemModel destinationCreateSpec)
| Copies a library item.
global::System.Threading.Tasks.Task < string > | CopyAsync (string clientToken, string sourceLibraryItemId, vmware.content.library.ItemModel destinationCreateSpec, global::System.Action< vmware.vapi.std.Progress > _progress, vmware.vapi.bindings.client.InvocationConfig _invocationConfig)
| Copies a library item.
string | Create (string clientToken, vmware.content.library.ItemModel createSpec)
| Creates a new library item.
string | Create (string clientToken, vmware.content.library.ItemModel createSpec, global::System.Action< vmware.vapi.std.Progress > _progress, vmware.vapi.bindings.client.InvocationConfig _invocationConfig)
| Creates a new library item.
global::System.Threading.Tasks.Task < string > | CreateAsync (string clientToken, vmware.content.library.ItemModel createSpec)
| Creates a new library item.
global::System.Threading.Tasks.Task < string > | CreateAsync (string clientToken, vmware.content.library.ItemModel createSpec, global::System.Action< vmware.vapi.std.Progress > _progress, vmware.vapi.bindings.client.InvocationConfig _invocationConfig)
| Creates a new library item.
void | Delete (string libraryItemId)
| Deletes a library item.
void | Delete (string libraryItemId, global::System.Action< vmware.vapi.std.Progress > _progress, vmware.vapi.bindings.client.InvocationConfig _invocationConfig)
| Deletes a library item.
global::System.Threading.Tasks.Task | DeleteAsync (string libraryItemId)
| Deletes a library item.
global::System.Threading.Tasks.Task | DeleteAsync (string libraryItemId, global::System.Action< vmware.vapi.std.Progress > _progress, vmware.vapi.bindings.client.InvocationConfig _invocationConfig)
| Deletes a library item.
vmware.content.library.ItemModel | Get (string libraryItemId)
| Returns the ItemModel with the given identifier.
vmware.content.library.ItemModel | Get (string libraryItemId, global::System.Action< vmware.vapi.std.Progress > _progress, vmware.vapi.bindings.client.InvocationConfig _invocationConfig)
| Returns the ItemModel with the given identifier.
global::System.Threading.Tasks.Task < vmware.content.library.ItemModel > | GetAsync (string libraryItemId)
| Returns the ItemModel with the given identifier.
global::System.Threading.Tasks.Task < vmware.content.library.ItemModel > | GetAsync (string libraryItemId, global::System.Action< vmware.vapi.std.Progress > _progress, vmware.vapi.bindings.client.InvocationConfig _invocationConfig)
| Returns the ItemModel with the given identifier.
global::System.Collections.Generic.List < string > | List (string libraryId)
| Returns the identifiers of all items in the given library.
global::System.Collections.Generic.List < string > | List (string libraryId, global::System.Action< vmware.vapi.std.Progress > _progress, vmware.vapi.bindings.client.InvocationConfig _invocationConfig)
| Returns the identifiers of all items in the given library.
global::System.Threading.Tasks.Task < global::System.Collections.Generic.List < string > > | ListAsync (string libraryId)
| Returns the identifiers of all items in the given library.
global::System.Threading.Tasks.Task < global::System.Collections.Generic.List < string > > | ListAsync (string libraryId, global::System.Action< vmware.vapi.std.Progress > _progress, vmware.vapi.bindings.client.InvocationConfig _invocationConfig)
| Returns the identifiers of all items in the given library.
global::System.Collections.Generic.List < string > | Find (vmware.content.library.ItemTypes.FindSpec spec)
| Returns identifiers of all the visible (as determined by authorization policy) library items matching the requested Item.FindSpec .
global::System.Collections.Generic.List < string > | Find (vmware.content.library.ItemTypes.FindSpec spec, global::System.Action< vmware.vapi.std.Progress > _progress, vmware.vapi.bindings.client.InvocationConfig _invocationConfig)
| Returns identifiers of all the visible (as determined by authorization policy) library items matching the requested Item.FindSpec .
global::System.Threading.Tasks.Task < global::System.Collections.Generic.List < string > > | FindAsync (vmware.content.library.ItemTypes.FindSpec spec)
| Returns identifiers of all the visible (as determined by authorization policy) library items matching the requested Item.FindSpec .
global::System.Threading.Tasks.Task < global::System.Collections.Generic.List < string > > | FindAsync (vmware.content.library.ItemTypes.FindSpec spec, global::System.Action< vmware.vapi.std.Progress > _progress, vmware.vapi.bindings.client.InvocationConfig _invocationConfig)
| Returns identifiers of all the visible (as determined by authorization policy) library items matching the requested Item.FindSpec .
void | Update (string libraryItemId, vmware.content.library.ItemModel updateSpec)
| Updates the specified properties of a library item.
void | Update (string libraryItemId, vmware.content.library.ItemModel updateSpec, global::System.Action< vmware.vapi.std.Progress > _progress, vmware.vapi.bindings.client.InvocationConfig _invocationConfig)
| Updates the specified properties of a library item.
global::System.Threading.Tasks.Task | UpdateAsync (string libraryItemId, vmware.content.library.ItemModel updateSpec)
| Updates the specified properties of a library item.
global::System.Threading.Tasks.Task | UpdateAsync (string libraryItemId, vmware.content.library.ItemModel updateSpec, global::System.Action< vmware.vapi.std.Progress > _progress, vmware.vapi.bindings.client.InvocationConfig _invocationConfig)
| Updates the specified properties of a library item.

## Detailed Description

Remote stub implementation of the Item API service.

## Constructor & Destructor Documentation

vmware::content::library::ItemStub::ItemStub | ( | vmware.vapi.core.IApiProvider | iApiProvider,
|  | vmware.vapi.bindings.IStubConfiguration | config
| ) |  | `[inline]`

## Member Function Documentation

string vmware::content::library::ItemStub::Copy | ( | string | clientToken,
|  | string | sourceLibraryItemId,
|  | vmware.content.library.ItemModel | destinationCreateSpec
| ) |  | `[inline]`

Copies a library item.

Copying a library item allows a duplicate to be made within the same or different library. The copy occurs by first creating a new library item, whose identifier is returned. The content of the library item is then copied asynchronously. This copy can be tracked as a task.

If the copy fails, Content Library Service will roll back the copy by deleting any content that was already copied, and removing the new library item. A failure during rollback may require manual cleanup by an administrator.

A library item cannot be copied into a subscribed library.

Exceptions:

  vmware.vapi.std.errors.NotFound | if the library item with sourceLibraryItemId does not exist, or if the library referenced by the ItemModel.libraryId property of destinationCreateSpec does not exist.
  vmware.vapi.std.errors.InvalidArgument | if one of the following is true for the new library item: name is empty name exceeds 80 characters description exceeds 1024 characters
  vmware.vapi.std.errors.InvalidArgument | if the clientToken does not conform to the UUID format.
  vmware.vapi.std.errors.InvalidElementType | if the ItemModel.libraryId property of destinationCreateSpec refers to a subscribed library.
  vmware.vapi.std.errors.ResourceInaccessible | if the copy operation failed because the source or destination library item is not accessible.
  vmware.vapi.std.errors.Unauthorized | if you do not have all of the privileges described as follows: The resource `com.vmware.content.library.Item` referenced by the parameter sourceLibraryItemId requires `System.Read` . The resource `com.vmware.content.Library` referenced by the attribute ItemModel.libraryId requires `ContentLibrary.AddLibraryItem` .

Parameters:

  clientToken | A unique token generated on the client for each copy request. The token should be a universally unique identifier (UUID), for example: `b8a2a2e3-2314-43cd-a871-6ede0f429751` . This token can be used to guarantee idempotent copy. If not specified copy is not idempotent.
  sourceLibraryItemId | Identifier of the existing library item from which the content will be copied. The parameter must be an identifier for the resource type: `com.vmware.content.library.Item` .
  destinationCreateSpec | Specification for the new library item to be created.

Returns:
  The identifier of the new library item into which the content is being copied. The result will be an identifier for the resource type: `com.vmware.content.library.Item` .

Implements vmware::content::library::Item.

string vmware::content::library::ItemStub::Copy | ( | string | clientToken,
|  | string | sourceLibraryItemId,
|  | vmware.content.library.ItemModel | destinationCreateSpec,
|  | global::System.Action< vmware.vapi.std.Progress > | _progress,
|  | vmware.vapi.bindings.client.InvocationConfig | _invocationConfig
| ) |  | `[inline]`

Copies a library item.

Copying a library item allows a duplicate to be made within the same or different library. The copy occurs by first creating a new library item, whose identifier is returned. The content of the library item is then copied asynchronously. This copy can be tracked as a task.

If the copy fails, Content Library Service will roll back the copy by deleting any content that was already copied, and removing the new library item. A failure during rollback may require manual cleanup by an administrator.

A library item cannot be copied into a subscribed library.

Exceptions:

  vmware.vapi.std.errors.NotFound | if the library item with sourceLibraryItemId does not exist, or if the library referenced by the ItemModel.libraryId property of destinationCreateSpec does not exist.
  vmware.vapi.std.errors.InvalidArgument | if one of the following is true for the new library item: name is empty name exceeds 80 characters description exceeds 1024 characters
  vmware.vapi.std.errors.InvalidArgument | if the clientToken does not conform to the UUID format.
  vmware.vapi.std.errors.InvalidElementType | if the ItemModel.libraryId property of destinationCreateSpec refers to a subscribed library.
  vmware.vapi.std.errors.ResourceInaccessible | if the copy operation failed because the source or destination library item is not accessible.
  vmware.vapi.std.errors.Unauthorized | if you do not have all of the privileges described as follows: The resource `com.vmware.content.library.Item` referenced by the parameter sourceLibraryItemId requires `System.Read` . The resource `com.vmware.content.Library` referenced by the attribute ItemModel.libraryId requires `ContentLibrary.AddLibraryItem` .

Parameters:

  clientToken | A unique token generated on the client for each copy request. The token should be a universally unique identifier (UUID), for example: `b8a2a2e3-2314-43cd-a871-6ede0f429751` . This token can be used to guarantee idempotent copy. If not specified copy is not idempotent.
  sourceLibraryItemId | Identifier of the existing library item from which the content will be copied. The parameter must be an identifier for the resource type: `com.vmware.content.library.Item` .
  destinationCreateSpec | Specification for the new library item to be created.
  _progress | Progress notification call back
  _invocationConfig | Configuration for the method invocation

Returns:
  The identifier of the new library item into which the content is being copied. The result will be an identifier for the resource type: `com.vmware.content.library.Item` .

Implements vmware::content::library::Item.

global::System.Threading.Tasks.Task<string> vmware::content::library::ItemStub::CopyAsync | ( | string | clientToken,
|  | string | sourceLibraryItemId,
|  | vmware.content.library.ItemModel | destinationCreateSpec,
|  | global::System.Action< vmware.vapi.std.Progress > | _progress,
|  | vmware.vapi.bindings.client.InvocationConfig | _invocationConfig
| ) |  | `[inline]`

Copies a library item.

Copying a library item allows a duplicate to be made within the same or different library. The copy occurs by first creating a new library item, whose identifier is returned. The content of the library item is then copied asynchronously. This copy can be tracked as a task.

If the copy fails, Content Library Service will roll back the copy by deleting any content that was already copied, and removing the new library item. A failure during rollback may require manual cleanup by an administrator.

A library item cannot be copied into a subscribed library.

Exceptions:

  vmware.vapi.std.errors.NotFound | if the library item with sourceLibraryItemId does not exist, or if the library referenced by the ItemModel.libraryId property of destinationCreateSpec does not exist.
  vmware.vapi.std.errors.InvalidArgument | if one of the following is true for the new library item: name is empty name exceeds 80 characters description exceeds 1024 characters
  vmware.vapi.std.errors.InvalidArgument | if the clientToken does not conform to the UUID format.
  vmware.vapi.std.errors.InvalidElementType | if the ItemModel.libraryId property of destinationCreateSpec refers to a subscribed library.
  vmware.vapi.std.errors.ResourceInaccessible | if the copy operation failed because the source or destination library item is not accessible.
  vmware.vapi.std.errors.Unauthorized | if you do not have all of the privileges described as follows: The resource `com.vmware.content.library.Item` referenced by the parameter sourceLibraryItemId requires `System.Read` . The resource `com.vmware.content.Library` referenced by the attribute ItemModel.libraryId requires `ContentLibrary.AddLibraryItem` .

Parameters:

  clientToken | A unique token generated on the client for each copy request. The token should be a universally unique identifier (UUID), for example: `b8a2a2e3-2314-43cd-a871-6ede0f429751` . This token can be used to guarantee idempotent copy. If not specified copy is not idempotent.
  sourceLibraryItemId | Identifier of the existing library item from which the content will be copied. The parameter must be an identifier for the resource type: `com.vmware.content.library.Item` .
  destinationCreateSpec | Specification for the new library item to be created.
  _progress | Progress notification call back
  _invocationConfig | Configuration for the method invocation

Returns:
  The identifier of the new library item into which the content is being copied. The result will be an identifier for the resource type: `com.vmware.content.library.Item` .

Implements vmware::content::library::Item.

global::System.Threading.Tasks.Task<string> vmware::content::library::ItemStub::CopyAsync | ( | string | clientToken,
|  | string | sourceLibraryItemId,
|  | vmware.content.library.ItemModel | destinationCreateSpec
| ) |  | `[inline]`

Copies a library item.

Copying a library item allows a duplicate to be made within the same or different library. The copy occurs by first creating a new library item, whose identifier is returned. The content of the library item is then copied asynchronously. This copy can be tracked as a task.

If the copy fails, Content Library Service will roll back the copy by deleting any content that was already copied, and removing the new library item. A failure during rollback may require manual cleanup by an administrator.

A library item cannot be copied into a subscribed library.

Exceptions:

  vmware.vapi.std.errors.NotFound | if the library item with sourceLibraryItemId does not exist, or if the library referenced by the ItemModel.libraryId property of destinationCreateSpec does not exist.
  vmware.vapi.std.errors.InvalidArgument | if one of the following is true for the new library item: name is empty name exceeds 80 characters description exceeds 1024 characters
  vmware.vapi.std.errors.InvalidArgument | if the clientToken does not conform to the UUID format.
  vmware.vapi.std.errors.InvalidElementType | if the ItemModel.libraryId property of destinationCreateSpec refers to a subscribed library.
  vmware.vapi.std.errors.ResourceInaccessible | if the copy operation failed because the source or destination library item is not accessible.
  vmware.vapi.std.errors.Unauthorized | if you do not have all of the privileges described as follows: The resource `com.vmware.content.library.Item` referenced by the parameter sourceLibraryItemId requires `System.Read` . The resource `com.vmware.content.Library` referenced by the attribute ItemModel.libraryId requires `ContentLibrary.AddLibraryItem` .

Parameters:

  clientToken | A unique token generated on the client for each copy request. The token should be a universally unique identifier (UUID), for example: `b8a2a2e3-2314-43cd-a871-6ede0f429751` . This token can be used to guarantee idempotent copy. If not specified copy is not idempotent.
  sourceLibraryItemId | Identifier of the existing library item from which the content will be copied. The parameter must be an identifier for the resource type: `com.vmware.content.library.Item` .
  destinationCreateSpec | Specification for the new library item to be created.

Returns:
  The identifier of the new library item into which the content is being copied. The result will be an identifier for the resource type: `com.vmware.content.library.Item` .

Implements vmware::content::library::Item.

string vmware::content::library::ItemStub::Create | ( | string | clientToken,
|  | vmware.content.library.ItemModel | createSpec
| ) |  | `[inline]`

Creates a new library item.

A new library item is created without any content. After creation, content can be added through the item.UpdateSession and item.updatesession.File interfaces.

A library item cannot be created in a subscribed library.

Exceptions:

  vmware.vapi.std.errors.NotFound | if the ItemModel.libraryId property of createSpec refers to a library that does not exist.
  vmware.vapi.std.errors.InvalidArgument | if one of the following is true for the new library item: name is empty name exceeds 80 characters description exceeds 1024 characters
  vmware.vapi.std.errors.InvalidArgument | if the clientToken does not conform to the UUID format.
  vmware.vapi.std.errors.InvalidElementType | if the ItemModel.libraryId property of {@param.name destinationCreateSpec} refers to a subscribed library.
  vmware.vapi.std.errors.Unauthorized | if you do not have all of the privileges described as follows: The resource `com.vmware.content.Library` referenced by the attribute ItemModel.libraryId requires `ContentLibrary.AddLibraryItem` .

Parameters:

  clientToken | A unique token generated on the client for each creation request. The token should be a universally unique identifier (UUID), for example: `b8a2a2e3-2314-43cd-a871-6ede0f429751` . This token can be used to guarantee idempotent creation. If not specified creation is not idempotent.
  createSpec | Specification that defines the properties of the new library item.

Returns:
  Identifier of the new library item. The result will be an identifier for the resource type: `com.vmware.content.library.Item` .

Implements vmware::content::library::Item.

string vmware::content::library::ItemStub::Create | ( | string | clientToken,
|  | vmware.content.library.ItemModel | createSpec,
|  | global::System.Action< vmware.vapi.std.Progress > | _progress,
|  | vmware.vapi.bindings.client.InvocationConfig | _invocationConfig
| ) |  | `[inline]`

Creates a new library item.

A new library item is created without any content. After creation, content can be added through the item.UpdateSession and item.updatesession.File interfaces.

A library item cannot be created in a subscribed library.

Exceptions:

  vmware.vapi.std.errors.NotFound | if the ItemModel.libraryId property of createSpec refers to a library that does not exist.
  vmware.vapi.std.errors.InvalidArgument | if one of the following is true for the new library item: name is empty name exceeds 80 characters description exceeds 1024 characters
  vmware.vapi.std.errors.InvalidArgument | if the clientToken does not conform to the UUID format.
  vmware.vapi.std.errors.InvalidElementType | if the ItemModel.libraryId property of {@param.name destinationCreateSpec} refers to a subscribed library.
  vmware.vapi.std.errors.Unauthorized | if you do not have all of the privileges described as follows: The resource `com.vmware.content.Library` referenced by the attribute ItemModel.libraryId requires `ContentLibrary.AddLibraryItem` .

Parameters:

  clientToken | A unique token generated on the client for each creation request. The token should be a universally unique identifier (UUID), for example: `b8a2a2e3-2314-43cd-a871-6ede0f429751` . This token can be used to guarantee idempotent creation. If not specified creation is not idempotent.
  createSpec | Specification that defines the properties of the new library item.
  _progress | Progress notification call back
  _invocationConfig | Configuration for the method invocation

Returns:
  Identifier of the new library item. The result will be an identifier for the resource type: `com.vmware.content.library.Item` .

Implements vmware::content::library::Item.

global::System.Threading.Tasks.Task<string> vmware::content::library::ItemStub::CreateAsync | ( | string | clientToken,
|  | vmware.content.library.ItemModel | createSpec,
|  | global::System.Action< vmware.vapi.std.Progress > | _progress,
|  | vmware.vapi.bindings.client.InvocationConfig | _invocationConfig
| ) |  | `[inline]`

Creates a new library item.

A new library item is created without any content. After creation, content can be added through the item.UpdateSession and item.updatesession.File interfaces.

A library item cannot be created in a subscribed library.

Exceptions:

  vmware.vapi.std.errors.NotFound | if the ItemModel.libraryId property of createSpec refers to a library that does not exist.
  vmware.vapi.std.errors.InvalidArgument | if one of the following is true for the new library item: name is empty name exceeds 80 characters description exceeds 1024 characters
  vmware.vapi.std.errors.InvalidArgument | if the clientToken does not conform to the UUID format.
  vmware.vapi.std.errors.InvalidElementType | if the ItemModel.libraryId property of {@param.name destinationCreateSpec} refers to a subscribed library.
  vmware.vapi.std.errors.Unauthorized | if you do not have all of the privileges described as follows: The resource `com.vmware.content.Library` referenced by the attribute ItemModel.libraryId requires `ContentLibrary.AddLibraryItem` .

Parameters:

  clientToken | A unique token generated on the client for each creation request. The token should be a universally unique identifier (UUID), for example: `b8a2a2e3-2314-43cd-a871-6ede0f429751` . This token can be used to guarantee idempotent creation. If not specified creation is not idempotent.
  createSpec | Specification that defines the properties of the new library item.
  _progress | Progress notification call back
  _invocationConfig | Configuration for the method invocation

Returns:
  Identifier of the new library item. The result will be an identifier for the resource type: `com.vmware.content.library.Item` .

Implements vmware::content::library::Item.

global::System.Threading.Tasks.Task<string> vmware::content::library::ItemStub::CreateAsync | ( | string | clientToken,
|  | vmware.content.library.ItemModel | createSpec
| ) |  | `[inline]`

Creates a new library item.

A new library item is created without any content. After creation, content can be added through the item.UpdateSession and item.updatesession.File interfaces.

A library item cannot be created in a subscribed library.

Exceptions:

  vmware.vapi.std.errors.NotFound | if the ItemModel.libraryId property of createSpec refers to a library that does not exist.
  vmware.vapi.std.errors.InvalidArgument | if one of the following is true for the new library item: name is empty name exceeds 80 characters description exceeds 1024 characters
  vmware.vapi.std.errors.InvalidArgument | if the clientToken does not conform to the UUID format.
  vmware.vapi.std.errors.InvalidElementType | if the ItemModel.libraryId property of {@param.name destinationCreateSpec} refers to a subscribed library.
  vmware.vapi.std.errors.Unauthorized | if you do not have all of the privileges described as follows: The resource `com.vmware.content.Library` referenced by the attribute ItemModel.libraryId requires `ContentLibrary.AddLibraryItem` .

Parameters:

  clientToken | A unique token generated on the client for each creation request. The token should be a universally unique identifier (UUID), for example: `b8a2a2e3-2314-43cd-a871-6ede0f429751` . This token can be used to guarantee idempotent creation. If not specified creation is not idempotent.
  createSpec | Specification that defines the properties of the new library item.

Returns:
  Identifier of the new library item. The result will be an identifier for the resource type: `com.vmware.content.library.Item` .

Implements vmware::content::library::Item.

void vmware::content::library::ItemStub::Delete | ( | string | libraryItemId | ) | `[inline]`

Deletes a library item.

This method will immediately remove the item from the library that owns it. The content of the item will be asynchronously removed from the storage backings. The content deletion can be tracked with a task. In the event that the task fails, an administrator may need to manually remove the files from the storage backing.

This method cannot be used to delete a library item that is a member of a subscribed library. Removing an item from a subscribed library requires deleting the item from the original published local library and syncing the subscribed library.

Exceptions:

  vmware.vapi.std.errors.InvalidElementType | if the library item with the given libraryItemId is a member of a subscribed library.
  vmware.vapi.std.errors.NotFound | if the library item with the specified libraryItemId does not exist.
  vmware.vapi.std.errors.Unauthorized | if you do not have all of the privileges described as follows: The resource `com.vmware.content.library.Item` referenced by the parameter libraryItemId requires `ContentLibrary.DeleteLibraryItem` .

Parameters:

  libraryItemId | Identifier of the library item to delete. The parameter must be an identifier for the resource type: `com.vmware.content.library.Item` .

Implements vmware::content::library::Item.

void vmware::content::library::ItemStub::Delete | ( | string | libraryItemId,
|  | global::System.Action< vmware.vapi.std.Progress > | _progress,
|  | vmware.vapi.bindings.client.InvocationConfig | _invocationConfig
| ) |  | `[inline]`

Deletes a library item.

This method will immediately remove the item from the library that owns it. The content of the item will be asynchronously removed from the storage backings. The content deletion can be tracked with a task. In the event that the task fails, an administrator may need to manually remove the files from the storage backing.

This method cannot be used to delete a library item that is a member of a subscribed library. Removing an item from a subscribed library requires deleting the item from the original published local library and syncing the subscribed library.

Exceptions:

  vmware.vapi.std.errors.InvalidElementType | if the library item with the given libraryItemId is a member of a subscribed library.
  vmware.vapi.std.errors.NotFound | if the library item with the specified libraryItemId does not exist.
  vmware.vapi.std.errors.Unauthorized | if you do not have all of the privileges described as follows: The resource `com.vmware.content.library.Item` referenced by the parameter libraryItemId requires `ContentLibrary.DeleteLibraryItem` .

Parameters:

  libraryItemId | Identifier of the library item to delete. The parameter must be an identifier for the resource type: `com.vmware.content.library.Item` .
  _progress | Progress notification call back
  _invocationConfig | Configuration for the method invocation

Implements vmware::content::library::Item.

global::System.Threading.Tasks.Task vmware::content::library::ItemStub::DeleteAsync | ( | string | libraryItemId | ) | `[inline]`

Deletes a library item.

This method will immediately remove the item from the library that owns it. The content of the item will be asynchronously removed from the storage backings. The content deletion can be tracked with a task. In the event that the task fails, an administrator may need to manually remove the files from the storage backing.

This method cannot be used to delete a library item that is a member of a subscribed library. Removing an item from a subscribed library requires deleting the item from the original published local library and syncing the subscribed library.

Exceptions:

  vmware.vapi.std.errors.InvalidElementType | if the library item with the given libraryItemId is a member of a subscribed library.
  vmware.vapi.std.errors.NotFound | if the library item with the specified libraryItemId does not exist.
  vmware.vapi.std.errors.Unauthorized | if you do not have all of the privileges described as follows: The resource `com.vmware.content.library.Item` referenced by the parameter libraryItemId requires `ContentLibrary.DeleteLibraryItem` .

Parameters:

  libraryItemId | Identifier of the library item to delete. The parameter must be an identifier for the resource type: `com.vmware.content.library.Item` .

Implements vmware::content::library::Item.

global::System.Threading.Tasks.Task vmware::content::library::ItemStub::DeleteAsync | ( | string | libraryItemId,
|  | global::System.Action< vmware.vapi.std.Progress > | _progress,
|  | vmware.vapi.bindings.client.InvocationConfig | _invocationConfig
| ) |  | `[inline]`

Deletes a library item.

This method will immediately remove the item from the library that owns it. The content of the item will be asynchronously removed from the storage backings. The content deletion can be tracked with a task. In the event that the task fails, an administrator may need to manually remove the files from the storage backing.

This method cannot be used to delete a library item that is a member of a subscribed library. Removing an item from a subscribed library requires deleting the item from the original published local library and syncing the subscribed library.

Exceptions:

  vmware.vapi.std.errors.InvalidElementType | if the library item with the given libraryItemId is a member of a subscribed library.
  vmware.vapi.std.errors.NotFound | if the library item with the specified libraryItemId does not exist.
  vmware.vapi.std.errors.Unauthorized | if you do not have all of the privileges described as follows: The resource `com.vmware.content.library.Item` referenced by the parameter libraryItemId requires `ContentLibrary.DeleteLibraryItem` .

Parameters:

  libraryItemId | Identifier of the library item to delete. The parameter must be an identifier for the resource type: `com.vmware.content.library.Item` .
  _progress | Progress notification call back
  _invocationConfig | Configuration for the method invocation

Implements vmware::content::library::Item.

global::System.Collections.Generic.List<string> vmware::content::library::ItemStub::Find | ( | vmware.content.library.ItemTypes.FindSpec | spec | ) | `[inline]`

Returns identifiers of all the visible (as determined by authorization policy) library items matching the requested Item.FindSpec .

Exceptions:

  vmware.vapi.std.errors.InvalidArgument | if no properties are specified in the spec .
  vmware.vapi.std.errors.Unauthorized | if you do not have all of the privileges described as follows: Method execution requires `System.Read` . The resource `com.vmware.content.Library` referenced by the attribute Item.FindSpec.libraryId requires `System.Read` .

Parameters:

  spec | Specification describing what properties to filter on.

Returns:
  The list of identifiers of all the visible library items matching the given spec . The result will contain identifiers for the resource type: `com.vmware.content.library.Item` .

Implements vmware::content::library::Item.

global::System.Collections.Generic.List<string> vmware::content::library::ItemStub::Find | ( | vmware.content.library.ItemTypes.FindSpec | spec,
|  | global::System.Action< vmware.vapi.std.Progress > | _progress,
|  | vmware.vapi.bindings.client.InvocationConfig | _invocationConfig
| ) |  | `[inline]`

Returns identifiers of all the visible (as determined by authorization policy) library items matching the requested Item.FindSpec .

Exceptions:

  vmware.vapi.std.errors.InvalidArgument | if no properties are specified in the spec .
  vmware.vapi.std.errors.Unauthorized | if you do not have all of the privileges described as follows: Method execution requires `System.Read` . The resource `com.vmware.content.Library` referenced by the attribute Item.FindSpec.libraryId requires `System.Read` .

Parameters:

  spec | Specification describing what properties to filter on.
  _progress | Progress notification call back
  _invocationConfig | Configuration for the method invocation

Returns:
  The list of identifiers of all the visible library items matching the given spec . The result will contain identifiers for the resource type: `com.vmware.content.library.Item` .

Implements vmware::content::library::Item.

global::System.Threading.Tasks.Task<global::System.Collections.Generic.List<string> > vmware::content::library::ItemStub::FindAsync | ( | vmware.content.library.ItemTypes.FindSpec | spec | ) | `[inline]`

Returns identifiers of all the visible (as determined by authorization policy) library items matching the requested Item.FindSpec .

Exceptions:

  vmware.vapi.std.errors.InvalidArgument | if no properties are specified in the spec .
  vmware.vapi.std.errors.Unauthorized | if you do not have all of the privileges described as follows: Method execution requires `System.Read` . The resource `com.vmware.content.Library` referenced by the attribute Item.FindSpec.libraryId requires `System.Read` .

Parameters:

  spec | Specification describing what properties to filter on.

Returns:
  The list of identifiers of all the visible library items matching the given spec . The result will contain identifiers for the resource type: `com.vmware.content.library.Item` .

Implements vmware::content::library::Item.

global::System.Threading.Tasks.Task<global::System.Collections.Generic.List<string> > vmware::content::library::ItemStub::FindAsync | ( | vmware.content.library.ItemTypes.FindSpec | spec,
|  | global::System.Action< vmware.vapi.std.Progress > | _progress,
|  | vmware.vapi.bindings.client.InvocationConfig | _invocationConfig
| ) |  | `[inline]`

Returns identifiers of all the visible (as determined by authorization policy) library items matching the requested Item.FindSpec .

Exceptions:

  vmware.vapi.std.errors.InvalidArgument | if no properties are specified in the spec .
  vmware.vapi.std.errors.Unauthorized | if you do not have all of the privileges described as follows: Method execution requires `System.Read` . The resource `com.vmware.content.Library` referenced by the attribute Item.FindSpec.libraryId requires `System.Read` .

Parameters:

  spec | Specification describing what properties to filter on.
  _progress | Progress notification call back
  _invocationConfig | Configuration for the method invocation

Returns:
  The list of identifiers of all the visible library items matching the given spec . The result will contain identifiers for the resource type: `com.vmware.content.library.Item` .

Implements vmware::content::library::Item.

vmware.content.library.ItemModel vmware::content::library::ItemStub::Get | ( | string | libraryItemId | ) | `[inline]`

Returns the ItemModel with the given identifier.

Exceptions:

  vmware.vapi.std.errors.NotFound | if no item with the given libraryItemId exists.
  vmware.vapi.std.errors.Unauthorized | if you do not have all of the privileges described as follows: The resource `com.vmware.content.library.Item` referenced by the parameter libraryItemId requires `System.Read` .

Parameters:

  libraryItemId | Identifier of the library item to return. The parameter must be an identifier for the resource type: `com.vmware.content.library.Item` .

Returns:
  The ItemModel instance with the given libraryItemId .

Implements vmware::content::library::Item.

vmware.content.library.ItemModel vmware::content::library::ItemStub::Get | ( | string | libraryItemId,
|  | global::System.Action< vmware.vapi.std.Progress > | _progress,
|  | vmware.vapi.bindings.client.InvocationConfig | _invocationConfig
| ) |  | `[inline]`

Returns the ItemModel with the given identifier.

Exceptions:

  vmware.vapi.std.errors.NotFound | if no item with the given libraryItemId exists.
  vmware.vapi.std.errors.Unauthorized | if you do not have all of the privileges described as follows: The resource `com.vmware.content.library.Item` referenced by the parameter libraryItemId requires `System.Read` .

Parameters:

  libraryItemId | Identifier of the library item to return. The parameter must be an identifier for the resource type: `com.vmware.content.library.Item` .
  _progress | Progress notification call back
  _invocationConfig | Configuration for the method invocation

Returns:
  The ItemModel instance with the given libraryItemId .

Implements vmware::content::library::Item.

global::System.Threading.Tasks.Task<vmware.content.library.ItemModel> vmware::content::library::ItemStub::GetAsync | ( | string | libraryItemId | ) | `[inline]`

Returns the ItemModel with the given identifier.

Exceptions:

  vmware.vapi.std.errors.NotFound | if no item with the given libraryItemId exists.
  vmware.vapi.std.errors.Unauthorized | if you do not have all of the privileges described as follows: The resource `com.vmware.content.library.Item` referenced by the parameter libraryItemId requires `System.Read` .

Parameters:

  libraryItemId | Identifier of the library item to return. The parameter must be an identifier for the resource type: `com.vmware.content.library.Item` .

Returns:
  The ItemModel instance with the given libraryItemId .

Implements vmware::content::library::Item.

global::System.Threading.Tasks.Task<vmware.content.library.ItemModel> vmware::content::library::ItemStub::GetAsync | ( | string | libraryItemId,
|  | global::System.Action< vmware.vapi.std.Progress > | _progress,
|  | vmware.vapi.bindings.client.InvocationConfig | _invocationConfig
| ) |  | `[inline]`

Returns the ItemModel with the given identifier.

Exceptions:

  vmware.vapi.std.errors.NotFound | if no item with the given libraryItemId exists.
  vmware.vapi.std.errors.Unauthorized | if you do not have all of the privileges described as follows: The resource `com.vmware.content.library.Item` referenced by the parameter libraryItemId requires `System.Read` .

Parameters:

  libraryItemId | Identifier of the library item to return. The parameter must be an identifier for the resource type: `com.vmware.content.library.Item` .
  _progress | Progress notification call back
  _invocationConfig | Configuration for the method invocation

Returns:
  The ItemModel instance with the given libraryItemId .

Implements vmware::content::library::Item.

global::System.Collections.Generic.List<string> vmware::content::library::ItemStub::List | ( | string | libraryId | ) | `[inline]`

Returns the identifiers of all items in the given library.

Exceptions:

  vmware.vapi.std.errors.NotFound | if the library associated with libraryId does not exist.
  vmware.vapi.std.errors.Unauthorized | if you do not have all of the privileges described as follows: The resource `com.vmware.content.Library` referenced by the parameter libraryId requires `System.Read` .

Parameters:

  libraryId | Identifier of the library whose items should be returned. The parameter must be an identifier for the resource type: `com.vmware.content.Library` .

Returns:
  The list of identifiers of the items in the library specified by libraryId . The result will contain identifiers for the resource type: `com.vmware.content.library.Item` .

Implements vmware::content::library::Item.

global::System.Collections.Generic.List<string> vmware::content::library::ItemStub::List | ( | string | libraryId,
|  | global::System.Action< vmware.vapi.std.Progress > | _progress,
|  | vmware.vapi.bindings.client.InvocationConfig | _invocationConfig
| ) |  | `[inline]`

Returns the identifiers of all items in the given library.

Exceptions:

  vmware.vapi.std.errors.NotFound | if the library associated with libraryId does not exist.
  vmware.vapi.std.errors.Unauthorized | if you do not have all of the privileges described as follows: The resource `com.vmware.content.Library` referenced by the parameter libraryId requires `System.Read` .

Parameters:

  libraryId | Identifier of the library whose items should be returned. The parameter must be an identifier for the resource type: `com.vmware.content.Library` .
  _progress | Progress notification call back
  _invocationConfig | Configuration for the method invocation

Returns:
  The list of identifiers of the items in the library specified by libraryId . The result will contain identifiers for the resource type: `com.vmware.content.library.Item` .

Implements vmware::content::library::Item.

global::System.Threading.Tasks.Task<global::System.Collections.Generic.List<string> > vmware::content::library::ItemStub::ListAsync | ( | string | libraryId,
|  | global::System.Action< vmware.vapi.std.Progress > | _progress,
|  | vmware.vapi.bindings.client.InvocationConfig | _invocationConfig
| ) |  | `[inline]`

Returns the identifiers of all items in the given library.

Exceptions:

  vmware.vapi.std.errors.NotFound | if the library associated with libraryId does not exist.
  vmware.vapi.std.errors.Unauthorized | if you do not have all of the privileges described as follows: The resource `com.vmware.content.Library` referenced by the parameter libraryId requires `System.Read` .

Parameters:

  libraryId | Identifier of the library whose items should be returned. The parameter must be an identifier for the resource type: `com.vmware.content.Library` .
  _progress | Progress notification call back
  _invocationConfig | Configuration for the method invocation

Returns:
  The list of identifiers of the items in the library specified by libraryId . The result will contain identifiers for the resource type: `com.vmware.content.library.Item` .

Implements vmware::content::library::Item.

global::System.Threading.Tasks.Task<global::System.Collections.Generic.List<string> > vmware::content::library::ItemStub::ListAsync | ( | string | libraryId | ) | `[inline]`

Returns the identifiers of all items in the given library.

Exceptions:

  vmware.vapi.std.errors.NotFound | if the library associated with libraryId does not exist.
  vmware.vapi.std.errors.Unauthorized | if you do not have all of the privileges described as follows: The resource `com.vmware.content.Library` referenced by the parameter libraryId requires `System.Read` .

Parameters:

  libraryId | Identifier of the library whose items should be returned. The parameter must be an identifier for the resource type: `com.vmware.content.Library` .

Returns:
  The list of identifiers of the items in the library specified by libraryId . The result will contain identifiers for the resource type: `com.vmware.content.library.Item` .

Implements vmware::content::library::Item.

void vmware::content::library::ItemStub::Update | ( | string | libraryItemId,
|  | vmware.content.library.ItemModel | updateSpec,
|  | global::System.Action< vmware.vapi.std.Progress > | _progress,
|  | vmware.vapi.bindings.client.InvocationConfig | _invocationConfig
| ) |  | `[inline]`

Updates the specified properties of a library item.

This is an incremental update to the library item. Fields that are null in the update specification are left unchanged.

This method cannot update a library item that is a member of a subscribed library. Those items must be updated in the source published library and synchronized to the subscribed library.

Exceptions:

  vmware.vapi.std.errors.NotFound | if the library item specified by libraryItemId does not exist.
  vmware.vapi.std.errors.InvalidElementType | if the library item corresponding to libraryItemId is a member of a subscribed library.
  vmware.vapi.std.errors.InvalidArgument | if one of the following is true for the updateSpec : name is empty name exceeds 80 characters description exceeds 1024 characters version is not equal to the current version of the library item
  vmware.vapi.std.errors.Unauthorized | if you do not have all of the privileges described as follows: The resource `com.vmware.content.library.Item` referenced by the parameter libraryItemId requires `ContentLibrary.UpdateLibraryItem` .

Parameters:

  libraryItemId | Identifier of the library item to update. The parameter must be an identifier for the resource type: `com.vmware.content.library.Item` .
  updateSpec | Specification of the properties to set.
  _progress | Progress notification call back
  _invocationConfig | Configuration for the method invocation

Implements vmware::content::library::Item.

void vmware::content::library::ItemStub::Update | ( | string | libraryItemId,
|  | vmware.content.library.ItemModel | updateSpec
| ) |  | `[inline]`

Updates the specified properties of a library item.

This is an incremental update to the library item. Fields that are null in the update specification are left unchanged.

This method cannot update a library item that is a member of a subscribed library. Those items must be updated in the source published library and synchronized to the subscribed library.

Exceptions:

  vmware.vapi.std.errors.NotFound | if the library item specified by libraryItemId does not exist.
  vmware.vapi.std.errors.InvalidElementType | if the library item corresponding to libraryItemId is a member of a subscribed library.
  vmware.vapi.std.errors.InvalidArgument | if one of the following is true for the updateSpec : name is empty name exceeds 80 characters description exceeds 1024 characters version is not equal to the current version of the library item
  vmware.vapi.std.errors.Unauthorized | if you do not have all of the privileges described as follows: The resource `com.vmware.content.library.Item` referenced by the parameter libraryItemId requires `ContentLibrary.UpdateLibraryItem` .

Parameters:

  libraryItemId | Identifier of the library item to update. The parameter must be an identifier for the resource type: `com.vmware.content.library.Item` .
  updateSpec | Specification of the properties to set.

Implements vmware::content::library::Item.

global::System.Threading.Tasks.Task vmware::content::library::ItemStub::UpdateAsync | ( | string | libraryItemId,
|  | vmware.content.library.ItemModel | updateSpec
| ) |  | `[inline]`

Updates the specified properties of a library item.

This is an incremental update to the library item. Fields that are null in the update specification are left unchanged.

This method cannot update a library item that is a member of a subscribed library. Those items must be updated in the source published library and synchronized to the subscribed library.

Exceptions:

  vmware.vapi.std.errors.NotFound | if the library item specified by libraryItemId does not exist.
  vmware.vapi.std.errors.InvalidElementType | if the library item corresponding to libraryItemId is a member of a subscribed library.
  vmware.vapi.std.errors.InvalidArgument | if one of the following is true for the updateSpec : name is empty name exceeds 80 characters description exceeds 1024 characters version is not equal to the current version of the library item
  vmware.vapi.std.errors.Unauthorized | if you do not have all of the privileges described as follows: The resource `com.vmware.content.library.Item` referenced by the parameter libraryItemId requires `ContentLibrary.UpdateLibraryItem` .

Parameters:

  libraryItemId | Identifier of the library item to update. The parameter must be an identifier for the resource type: `com.vmware.content.library.Item` .
  updateSpec | Specification of the properties to set.

Implements vmware::content::library::Item.

global::System.Threading.Tasks.Task vmware::content::library::ItemStub::UpdateAsync | ( | string | libraryItemId,
|  | vmware.content.library.ItemModel | updateSpec,
|  | global::System.Action< vmware.vapi.std.Progress > | _progress,
|  | vmware.vapi.bindings.client.InvocationConfig | _invocationConfig
| ) |  | `[inline]`

Updates the specified properties of a library item.

This is an incremental update to the library item. Fields that are null in the update specification are left unchanged.

This method cannot update a library item that is a member of a subscribed library. Those items must be updated in the source published library and synchronized to the subscribed library.

Exceptions:

  vmware.vapi.std.errors.NotFound | if the library item specified by libraryItemId does not exist.
  vmware.vapi.std.errors.InvalidElementType | if the library item corresponding to libraryItemId is a member of a subscribed library.
  vmware.vapi.std.errors.InvalidArgument | if one of the following is true for the updateSpec : name is empty name exceeds 80 characters description exceeds 1024 characters version is not equal to the current version of the library item
  vmware.vapi.std.errors.Unauthorized | if you do not have all of the privileges described as follows: The resource `com.vmware.content.library.Item` referenced by the parameter libraryItemId requires `ContentLibrary.UpdateLibraryItem` .

Parameters:

  libraryItemId | Identifier of the library item to update. The parameter must be an identifier for the resource type: `com.vmware.content.library.Item` .
  updateSpec | Specification of the properties to set.
  _progress | Progress notification call back
  _invocationConfig | Configuration for the method invocation

Implements vmware::content::library::Item.

The documentation for this class was generated from the following file:

- ItemStub.cs